UsefulSoft Print Censor Professional
http://usefulsoft.com/print-censor/

[+] - Feature added; [*] - Changes.

Version 5.1.161 [15 March 2008]

  [+] Redesigned lockout. Now you can set restrictions per user. Also you can allow some users control other users.
  [+] New lockout option for print jobs preview in print queue.
  [+] New messages for users and managers about paused print jobs. To configure it go to menu "Options" -> "Preferences..." and swith to the "Quotas" page.
  [*] Improved quotas for pages and cost.
  [*] Fixed balance updating for users and groups.
  [*] Fixed printing.
  [*] Fixed groups expanding on the Groups page.
  [*] Improved reports generation.
  [*] Optimized the memory usage.
  [*] Improved remote connection.

  Queue page:
  [+] Now you can save print jobs to disk.
  [+] Added progress for print jobs opening/saving.
  [+] Improved copying and moving with progress.
  [*] Improved work with IPP printers.
  [*] Improved printer deletion.
  [*] Improved paper size determination for plotters.
  [*] Improved print jobs copying/moving for printers on the Network page.


Version 5.0.158 [12 November 2007]

  Queue page:
  [*] Improved support of Samba printers.
  [*] Added support of the Windows Clusters on the Network page.

  Reports page:
  [+] Added new reports (on the Chart page):
      - Top 10 Most Active Printers;
      - Top 10 Most Active Users;
      - Top 10 Most Active Groups;
      - Top 10 Most Active Computers;
      - Top 10 Most Active Papers;
      - Top 10 Most Active Dates;
      - Top 10 Most Active Ports.
  [+] New interface.   
  [+] Added export to OpenOffice/StarOffice OpenDocument (Text Document and Spreadsheet).
  [*] Analytics page renamed to Statistics.
  [*] Improved statistics reports.
  [*] Fixed statistics by hours.


Version 5.0.157 [29 October 2007]

  [+] Added page cost determination based on paper size. You can set different costs for different paper formats.
  [+] Added automatic determination of black&white printers. If it is wrong, you can change it on Printers Options window ("Printers" page).
  [+] Added the "Color" column to the "Printers" page. Now you can sort printers by color.
  [+] Added drop-down menu for "Connect..." button in toolbar with 10 last connected computers.
  [+] Added the Time of restrictions feature. You can select the time intervals for print restrictions.
  [*] Improved the "Use advanced color determination" feature for black&white printers.
      You can enable it on Print Censor Preferences window ("Restrictions by Color" page).
  [*] Fixed authentication for restricted print jobs.
  [*] Improved restrictions by paper size for printers - now you can select supported paper formats from list.
  [*] Now you can see localized paper formats for print jobs.


Version 5.0.156 [23 October 2007]

  [+] Added "Help" buttons to the "Printer Options" and "Account Options" windows.
  [*] Updated help file.
  [*] Updated Arabic translation.
  [*] Fixed opening for global user and group options.
  [*] Fixed cost determination on "Queue" page for some printers.
  [*] Fixed authentication.


Version 5.0.155 [22 October 2007]

  [+] Added "Autentication" option for print jobs.
      Now you can select several options for print jobs verification by user.
      Note: Print Informer Pro 2.0 must be installed on client computers for autentication.
  [+] Now you can double click on any column on the "Printers" page and open the same page in the Printers Options window.
  [*] Fixed sorting on the "Printers" page.
  

Version 4.9.154 [16 October 2007]

  [+] Now you can expand users on Users page and see groups to which user belongs.
  [+] Added user info on "Users" and "Reports" pages and group info on "Groups" page.
  [+] Added document name to restrictions log.
  [+] Now we track printed separator pages.
  [*] Fixed the "Printer Web Page" command for IPP printers.
  [*] Increased updating speed for IPP printers.
  [*] Now it is possible to monitor up to 4000 printers (with previous version you can't monitor more than 2000 printers).
  [*] Fixed viewing reports for printers ports.
  [*] Optimized (reduced) use of memory for server.
  [*] Improved user name and computer name determination for print jobs from Mac.
  [*] Improved user name determination for print jobs from Linux, Solaris and other Unix-like systems.


Version 4.9.153 [30 August 2007]

  Reports page:
  [+] Added support of the printer pooling:
      - added "Port Name" columns for printed jobs;
      - added reports for printers port name.

  Printers page:
  [+] Added the "Use global options" command.

  Quotas:
  [+] Added option "Use advanced color determination" for quotas on color.
      This is possible for EMF and HPGL print jobs.
      Enable this option for determination of the color for your print jobs.
      Note: with this option print jobs can be processed up to 2-3 times more longer.

  Queue page:
  [+] Added columns "Port Name" and "Share Name" for printers.
  [+] Added "Network" page. Using this page you can:
      - found all printers in your network;
      - see print jobs for any printer in your network;
      - quick connect to any computer in your network;
      - connect network printer to current user and for all users (unique feature!).
  [+] From menu "Printers->Show Connected Printers" you can see network printers, which connected for all users.
  [+] You can open any print job as text from print job context menu "Advanced->Open as Text...".
  [+] You can preview any print jobs using external programs from print job context menu "Advanced->External Viewer...".
  [+] Added "Port Name" columns for print jobs. This column is useful when you use printer pooling.
  [+] Improved "Printer Web Page" command. Now you can open several web pages for one printer (when printer pooling enabled).
  [*] Improved print jobs preview.
  [*] Increased speed of computer name resolving.
  [*] Improved document name determination for some printers languages.
  [*] Improved print jobs status - now you can see the "processing" status of the print jobs.
  
  Server:
  [*] Fixed error with pausing pring jobs.


Version 4.8.150 [28 May 2007]

  [+] Added plotter icon on the "Printers" page.
  [*] Improved print jobs pausing.
  [*] Improved stability.


Version 4.8.149 [10 May 2007]

  [*] Fixed restriction by Quality for Users and Groups.
  [*] Fixed restriction by Color and Duplex for Groups.
  [*] Some small improvements.


Version 4.8.148 [03 May 2007]

  [+] Added Arabic language.
  [*] Improved remote connection for Windows Vista.
  [*] Improved uninstall for Windows Vista.
  [*] Fixed support of the IPP protocol.
  [*] Fixed print jobs resuming.
  [*] Fixed loading stored print jobs content.
  

Version 4.8.147 [04 April 2007]

  [+] Added compatability with Windows Vista.
  [+] Now you can download and install Print Informer Lite software.
      With Print Informer you can receive messages from Print Censor Lite server and from network users.

  Firewall options:
  If your Windows Firewall is ON than you need to enable exception for "File and Printer Sharing".
  For other Firewalls you need to enable exception for TCP Port 139.

  Installation:
  [*] Now you can install Client and Server from different installers.

  Interface:
  [+] Added automatic language determination.
  [+] Added French, German, Italian, Japanese, Polish, Spanish languages.
  [+] Registration dialog improved. Now you can restart program from this dialog.
  [*] Updated help file.

  Restrictions:
  [+] Limiting print jobs for each printer, user and group by duplex and quality.
  [+] The locked print jobs will be locked even after server restart.
  [+] New restriction action: allow print and change print job priority.
  [*] Improved restrictions for computers. Now you can set restrictions for DNS name of computer.
  [*] Improved print jobs locking.
  [*] Improved pausing options: If there are several restrictions set for a print job
      (for the printer, the user and the group), the maximum one is selected.
  [*] Improved limiting print jobs by color (now you can restrict color or black and white print jobs).

  Options:
  [+] New lockout option for viewing of the reports.
  [+] You can use "Save Content" option for selected users and groups.
  [+] You can select storages checking options:
      - Compact storages at server startup;
      - Compact storages with designated time intervals.

  Printers page:
  [*] Improved "Printer Info" for selected printers.
  [*] Icreased speed of updating for printers list.

  Queue page:
  [+] Now you can preview HPGL print jobs (all HP plotters).
  [+] Added rotation for images in preview window.
  [+] Added determination of copies for ESC/PAGE print jobs (Epson printers).
  [+] Added determination of copies for PCL5 print jobs (some Epson printers).
  [+] Added determination of copies for PCL and PCL6(PCLXL) print jobs.
  [+] Added determination of ZIMF (ZJStream) print jobs format.
  [+] Added determination of pages, copies and title for POSTSCRIPT print jobs from Linux, Solaris and Mac workstations.
  [+] Added determination of pages and copies for HPGL/2 print jobs.
  [+] Added Cost column for print jobs.
  [+] Added icon for locked print jobs in the Status column.
  [+] New context menu commands for pring jobs: Lock/Unlock print job.
  [+] Now if you open the popup menu of print jobs with the Ctrl and Shift keys held down,
      you can copy/move print jobs between printers with different drivers.
      You can use this feature to copy HPGL print jobs between different plotters and
      POSTSCRIPT print jobs between different postscript printers.
  [+] Now you can make a copy of the selected printer ("Duplicate printer" menu item for printers).
  [+] Now you can see print jobs quality (high, medium, low, draft or DPI value).
  [+] Added user information to the print job properties window.
  [+] Now you can select browser for "Printer Web Page..." command.
  [*] Improved "Printer Web Page ..." command:
      - Now you do not need admin rights;
      - Fixed support of remote print servers with Windows 2000.
  [*] Speed of updating for print jobs list is increased up to 50 times!
  [*] Some messages was added for operations with print jobs.
  [*] Changed icons for non A* paper size.
  [*] Improved determination of the paper size for large format plotters.
  [*] Imroved "Cancel all documents" command.
  [*] Icreased speed of updating for printers list.
  [*] Now Location and Comment for printers is changed at once.
  [*] Now you can see count and cost of selected print jobs in the Status Bar.
  [*] Improved work with long document name.
  [*] Improved work with large print queue.
  [*] Now default sorting for print jobs is sorting by position (as in windows queue manager).
  [*] Improved pause/resume command for several print jobs (pause and resume buttons is available simultaneously).

  Reports page:
  [+] New reports: by Date and by Group.
  [+] While viewing reports, you can select the interval not only by days, but also by hours.
  [+] Now you can see print jobs quality (high, medium, low, draft or DPI value).
  [+] Determination of pages, copies and title for POSTSCRIPT print jobs from Linux, Solaris and Mac workstations.
  [+] Determination of pages and copies for HPGL2 print jobs.
  [+] New "Hours" time period to the "Analytics" tab.
  [*] Improved reports generation. Now you can change report options from "Report"->"Report options...".
  [*] Improved work with reports.
  [*] Improved determination of the paper size for large format plotters.
  [*] Increased speed of the records loading.
  [*] Fixed events loading.
  [*] Improved print jobs content loading.

  Server:
  [*] New database format (size is reduced up to two times).
      You can import data from old database using the Print Censor database converter.
      Available import for printed print jobs only. You can't import print jobs content.
  [*] Work with print jobs is increased up to 10 times!
  [*] More informative messages for restrictions and quotas.


Version 4.8.146 Release Candidate 2 [30 March 2007]

  [+] Now you can preview HPGL print jobs (all HP plotters).
  [+] Added rotation for images in preview window.
  [+] Added determination of ESC/PAGE print jobs format (Epson printers).
  [+] Added Copies determination for ESC/PAGE print jobs from Microsoft Word.
  [+] Added determination of PCL5 print jobs format (some Epson printers).
  [+] Added determination of ZIMF (ZJStream) print jobs format.
  [+] Added Polish language.
  [*] Improved Copies determination for some POSTSCRIPT and PCL6(PCLXL) print jobs from Microsoft Word.
  [*] Improved determination Datatype, Pages and Copies for some POSTSCRIPT print jobs.
  [*] Fixed determination Datatype, Pages, Copies, Cost for new print jobs.
  [*] Improved trial restrictions for preview and copying/moving.


Version 4.8.144 Release Candidate [17 March 2007]

  [+] Updated help file.
  [*] Improved restriction by Quality, now you can restrict print jobs by DPI.
  [*] Now you can install Client and Server from different installers.
  [*] Fixed restriction by Title.
  [*] Fixed color determination for Black and White printers.
  [*] Fixed the automatic reset of balance for users and groups.
  [*] Fixed export to BMP, TIFF, Jpeg and Gif.
  [*] Fixed export to XLS or Japanese language.
  [*] Fixed users selection on the Users tab.
  [*] Fixed "Open in Users tab..." command.
  [*] Fixed Lockout for Preferences... window.


Version 4.8.143 beta 4 [01 March 2007]

  [*] Some messages was added for operations with print jobs.
  [*] Fixed printing the Printers tab.
  [*] Improved "Resume print jobs automatically" options.
  [*] Fixed and optimized updating for Users and Groups tabs.
  [*] Fixed restrinctions by Username, Title, Paper Size and Computer.
  [*] Improved log for restriction by Quality.
  [*] Fixed cost determination for new print jobs on Queue tab.
  [*] Fixed Pausing and Restrictions options for groups with non english characters.
  [*] Report type selection imroved.
  [*] Fixed work with newly added printers.


Version 4.8.142 beta 3 [26 February 2007]

  [*] Increased speed of printers loading.
  [*] Improved stability.
  [*] Improved printers deletion.
  [*] Fixed Reports and Logs loading.
  [*] Fixed restrictions by size.
  [*] Fixed reports for newly added printers.
  [*] Fixed reports for "Previous Month" and "Previous Quarter".
  [*] Imroved support some Windows locales.
  [*] Fixed "Duplicate Printer" command for some printers.
  [*] Changed icons for non A* paper size.


Version 4.8.140 beta 2 [15 February 2007]

  [+] Added determination of copies for PCL print jobs.
  [+] Added automatic language determination.
  [+] Added French, German, Italian, Spanish languages.
  [+] Registration dialog improved.
  [*] Improved work with logs.
  [*] Improved logs for Color, Duplex and Quality restrictions.
  [*] Improved Unicode support.
  [*] Improved printing.
  [*] Fixed preview for large print jobs.
  [*] Fixed computer name determination.
  [*] Fixed "Duplicate printer" command for remote connection.
  [*] Fixed print job preview for some print jobs.
  [*] Fixed Comment and Location information for printers.
  [*] Now you can see count and cost of selected print jobs in the Status Bar.
  [*] Fixed browser selection for "Printer Web Page..." command.
  [*] Fixed restriction by size.


Version 4.8.137 beta [15 January 2007]

  [+] Added compatability with Windows Vista.
  
  Firewall options:
  If your Windows Firewall is ON than you need to enable exception for "File and Printer Sharing".
  For other Firewalls you need to enable exception for TCP Port 139.

  Restrictions:
  [+] Limiting print jobs for each printer, user and group by duplex and quality.
  [+] The locked print jobs will be locked even after server restart.
  [+] New restriction action: allow print and change print job priority.
  [*] Improved restrictions for computers. Now you can set restrictions for DNS name of computer.
  [*] Improved print jobs locking.
  [*] Improved pausing options: If there are several restrictions set for a print job
      (for the printer, the user and the group), the maximum one is selected.
  [*] Improved limiting print jobs by color (now you can restrict color or black and white print jobs).

  Options:
  [+] New lockout option for viewing of the reports.
  [+] You can use "Save Content" option for selected users and groups.
  [+] You can select storages checking options:
      - Compact storages at server startup;
      - Compact storages with designated time intervals.

  Printers page:
  [*] Improved "Printer Info" for selected printers.
  [*] Icreased speed of updating for printers list.

  Queue page:
  [+] Added determination of pages, copies and title for POSTSCRIPT print jobs from Linux, Solaris and Mac workstations.
  [+] Added determination of pages and copies for HPGL2 print jobs.
  [+] Cost column for print jobs.
  [+] Added icon for locked print jobs in the Status column.
  [+] New context menu commands for pring jobs: Lock/Unlock print job.
  [+] Now if you open the popup menu of print jobs with the Ctrl and Shift keys held down,
      you can copy/move print jobs between printers with different drivers.
      You can use this feature to copy HPGL print jobs between different plotters and
      POSTSCRIPT print jobs between different postscript printers.
  [+] Now you can make a copy of the selected printer ("Duplicate printer" menu item for printers).
  [+] Now you can see print jobs quality (high, medium, low, draft or DPI value).
  [+] Added user information to the print job properties window.
  [+] Now you can select browser for "Printer Web Page..." command.
  [*] Improved "Printer Web Page ..." command:
      - Now you do not need admin rights;
      - Fixed support of remote print servers with Windows 2000.
  [*] Speed of updating for print jobs list is increased up to 50 times!
  [*] Improved determination of the paper size for large format plotters.
  [*] Imroved "Cancel all documents" command.
  [*] Icreased speed of updating for printers list.
  [*] Now Location and Comment for printers is changed at once.
  [*] Improved work with long document name.
  [*] Improved work with large print queue.
  [*] Now default sorting for print jobs is sorting by position (as in windows queue manager).
  [*] Improved pause/resume command for several print jobs (pause and resume buttons is available simultaneously).

  Reports page:
  [+] New reports: by Date and by Group.
  [+] While viewing reports, you can select the interval not only by days, but also by hours.
  [+] Now you can see print jobs quality (high, medium, low, draft or DPI value).
  [+] Determination of pages, copies and title for POSTSCRIPT print jobs from Linux, Solaris and Mac workstations.
  [+] Determination of pages and copies for HPGL2 print jobs.
  [+] New "Hours" time period to the "Analytics" tab.
  [*] Improved reports generation. Now you can change report options from "Report"->"Report options...".
  [*] Improved work with reports.
  [*] Improved determination of the paper size for large format plotters.
  [*] Increased speed of the records loading.
  [*] Fixed events loading.
  [*] Improved print jobs content loading.

  Server:
  [*] New database format (size is reduced up to two times).
      You can import data from old database using the Print Censor database converter.
      Available import for printed print jobs only. You can't import print jobs content.
  [*] Work with print jobs is increased up to 10 times!
  [*] More informative messages for restrictions and quotas.


Version 4.7.131 [02 July 2006]

  [+] Now you can see users for the selected group and reset user balances for all users from the selected group.
  [+] New "Analytics" subtab on the "Reports" tab.
  [+] Deleting print jobs automatically after the specified period of time or at definite time.
  [+] Limiting print jobs for each printer, user and group by color.
  [+] Now you can save and view program events (restrictions by copies, priority, etc.).
  [+] Option "Inform user if balance exceeds <NN>% of limit" is added.
  [+] New date ranges for loading reports: "Current Quarter", "Current Year", "Previous Quarter" and "Previous Year".
  [+] "Allow multiple instances" option is added.
  [*] Improved option "Allow to resume print jobs from Print Censor only".
  [*] Moving reports to a new location has been improved.
  [*] New icons.
  [*] Improved the "Report Options" window.
  [*] Fixed saving the content of paused print jobs.
  [*] Fixed the installation program when Print Censor Client is not selected.
  [*] Improved print job restrictions when autoresume is selected for the printer.
  [*] Fixed the "Printer Web Page..." command.
  [*] Many small fixes and improvements.


Version 4.6 [03 May 2006]

  [+] Quotas and restrictions for groups are added. You need to add groups to the list manually.
  [+] The total balance column for users is added. You can reset the user balance without resetting the total balance.
      To reset the total balance, first reset the user balance and then reset the total balance while holding down the Ctrl key.
  [+] Now you can change and see the Offline status of the selected printers.
      This option is available for local and network printers (unlike in the standard Windows queue manager).
  [*] New printer icons with visible printer statuses.
  [*] Fixed incompatability with "Data Execution Prevention".


Version 4.51 [24 April 2006]

  [+] Now you can print list of printers, print jobs and users.
      Also you can export data to TXT, CSV, HTML, XML, XLS, BMP, GIF, TIFF, JPG, PDF, RTF formats.
  [+] Now you can set "User options..." for several users at once.
  [+] "All data" option is added to "Generate report" window.
  [+] Added some compatability with Windows NT SP6. WMI must be installed.
      With Windows NT you can't use:
      "Save content" feature, "File->Server Properties..." menu and "Printer" main menu, print jobs preview and copying.
  [*] Reports are loaded up to two times as fast.
  [*] Reports print preview are loaded up to 1.5 times as fast.
  [*] Added columns "Comment" and "Location" for printers.
  [*] Now you can see "Bar Graph" and "Pie Chart" on the "Reports" tab.
  [*] Improved quotas.
  [*] Improved storing of print jobs from workstations with Solaris, Linux and MAC.
  [*] Improved cost determination for print jobs.
  [*] Print jobs viewing from history is fixed.
  [*] Improved print jobs selection.
  [*] Improved unicode support.
  [*] Some small fixes.


Version 4.5 [03 April 2006]

  [+] Unique feature! Now you can save the content of print jobs to storage for viewing.
  [+] Limiting print jobs for each printer and user by cost, paper size and computer.
  [+] Resume the paused print jobs automatically at defined time.
  [+] Now you can pause all print jobs for selected users.
  [+] Now you can change print job export options in preview window for bmp and jpg formats.
  [+] On "Reports" tab right panel you can add "Size" column for analysing storage size for print job preview.
  [+] New command "Printer Web Page..." for TCP/IP printers.
  [+] "Save window position" option is added.
  [+] Now you can see the paper orientation of print jobs (see Icon in the Paper size column).
  [+] New report by paper size is added.
  [+] Full unicode support.
  [+] New help file.
  [+] Added GIF and CVS exports.
  [*] Improved Text export.
  [*] Now quotas for printers are active always.
  [*] New add user window on "Users" tab.
  [*] Improved "Global printer options".
  [*] Improved User Name restrictions.
  [*] Improved remote connection.
  [*] Improved print jobs preview.
  [*] Improved copying of the print jobs for some plotters.
  [*] Improved Pausing option.
  [*] Print queue updating is fixed.
  [*] Now trial period is extended to 45 days.


Version 4.5 (versus 4.5 RC) [03 April 2006]

  [+] Added GIF and CVS exports.
  [*] Improved Text export.
  [*] Improved upgrade.
  [*] Now trial period is extended to 45 days.
  [*] Some small fixes.


Version 4.5 Release Candidate [24 March 2006]

  [+] Now you can see the paper orientation of print jobs (see Icon in the Paper size column).
  [*] Improved print jobs preview.
  [*] Improved copying of the print jobs for some plotters.
  [*] Some small fixes.


Version 4.5 beta 3 [14 March 2006]

  [+] New help file.
  [*] Pausing option is fixed.
  [*] Print queue updating is fixed.
  [*] Some small fixes.


Version 4.5 beta 2 [28 February 2006]

  [*] Fixed loading reports for unregistered version.
  [*] Fixed work with users.
  [*] Improved storage size determination on the "Reports" tab.


Version 4.5 beta [24 February 2006]

  [+] Unique feature! Now you can save the content of print jobs to storage for viewing.
  [+] Limiting print jobs for each printer and user by cost, paper size and computer.
  [+] Resume the paused print jobs automatically at defined time.
  [+] Now you can pause all print jobs for selected users.
  [+] Now you can change print job export options in preview window for bmp and jpg formats.
  [+] On "Reports" tab right panel you can add "Size" column for analysing storage size for print job preview.
  [+] New command "Printer Web Page..." for TCP/IP printers.
  [+] "Save window position" option is added.
  [+] New report by paper size is added.
  [+] Full unicode support.
  [*] Now quotas for printers are active always.
  [*] New add user window on "Users" tab.
  [*] Improved "Global printer options".
  [*] Improved User Name restrictions.
  [*] Improved remote connection.


Version 4.14 [17 October 2005]

  [+] "Select All" button on "Report options" dialog.
  [+] Limiting print jobs for each printer and user by copies and priority.
  [+] Resume the paused print jobs automatically after selected time period.
  [+] Now you can use even the standard print queue manager to see paused print jobs and how much time there is left until there are resumed.
  [*] Some small improvements.


Version 4.12 [19 September 2005]

  [*] Addition of users is improved.
  [*] Now you can install Print Censor service without the client
  [*] Cost determination for incomplete print jobs is improved.
  [*] Remote connection is fixed.


Version 4.1 [08 August 2005]

  [+] The new printer option "Allow to resume print jobs from Print Censor only" when "Pause all print jobs" is selected.
      With a new option on the "Lockout" tab, you can limit access to this feature with a password.
      To resume paused print jobs, press Ctrl button and select the "Resume" option on the "Queue" tab.
  [+] A new print job preview window with increased loading speed.
      Now you can export print jobs to emf, wmf, bmp and jpg, print selected pages, zoom a page.
  [+] Remote installation of service is added.
      Now you can install the Print Censor service at connection to remote computer.
  [+] Option "Enable EMF printing" to "Printer" menu is added.
      In some cases it can help to activate print jobs preview for selected printers.
  [+] Now you can print charts.
  [+] The "Printer Info" panel on the "Printers" and "Queue" tabs is added.
  [+] Now you can add users on the "Users" tab manually.
  [*] Now Print Censor is started faster.
  [*] Copying print jobs is improved.
  [*] Exporting reports is improved.
  [*] Displaying the cost for chart and print preview is fixed.
  [*] Cost definition for some print jobs is improved.
  [*] A lot of improvements.


Version 4.0 [14 June 2005]

  [+] Portuguese language file is added.
  [*] Fixed sorting for printers and users tabs.
  [*] Help is updated.


Version 4.0 Release Candidate [31 May 2005]

  [+] Added "Restore Last Connection" option.
  [+] Added "Delete User" option on "Quotas" tab.
  [+] Added "Date of updating" column on "Quotas" tab.
  [+] Added tracking cost per job length for plotters.
  [+] Japanese, Hungarian and Russian language files is added.
  [*] Fixed quotas settings for username.
  [*] Improved export of reports.
  [*] Improved minimizing to system tray.
  [*] Improved connection to remote computer.
  [*] Many improvemets.


Version 4.0 beta 2 [19 April 2005]

  [+] Added quotas for page cost.
  [*] Improved service shutdown.
  [*] Improved quotas for page count for print jobs with several copies.


Version 4.0 beta [31 March 2005]

  Major changes:
  [+] Limiting print jobs for each printer and user by their size, number of pages and document title.
  [+] Estimating the cost of printing by the number of pages or by the length of the document (for plotters).
  [+] Setting different cost for different formats of paper.
  [+] Pausing all new print jobs.
  [+] Setting quotas for users in a more functional way.
  [+] Viewing the cost of printing for users, printers and computers for various periods of time.
  [+] Saving all printed jobs for all printers at the same time.
  [+] Viewing the status and number of jobs for all printers at the same time.
  [+] Preview of jobs in the printer queue.
  [+] Copying jobs from one local printer to another.
  [+] Changing all default parameters of jobs.
  [+] Blocking all program changes.
  [*] An improved and customizable report preview.
  [*] An improved friendly program interface.
  [*] An improved preview of saved reports.
  [*] Viewing the saved report in the form of a diagram.
  [*] Data export into 9 popular formats.
  [*] New, protected database format.

  Minor changes:
  [*] Some printer drivers give incorrect information about the color of a print job,
      now you can set it to estimate the cost of printing correctly.
  [*] The process of setting global parameters for printers and users is now improved.
  [*] Setting the refreshment rate for the report and users' quotas.
  [*] Proper determination of the number of Microsoft Word print jobs copies.
  [*] More stable working.
  [*] Minimizing the program into system tray.
  [*] Saving the printed time in the report, so that you can analyze the loading of your printers.
  [*] Viewing the Data Type, Position and JobID of all print jobs in the queue.


Version 3.3 beta [8 April 2004]

  [*] The bug with the "Bug report" menu command for Outlook Express is fixed.

  Report:
  [+] Now if you change the location of the Report Path, all files will be moved to the new location.
  [*] The bug with the manually defined Report Path is fixed.
  
  Queue manager:
  [+] Now you can manage several print queues in one window.
  [+] Displaying the printed size of print jobs in the print queue is added.
  [+] Now you can see the approximate amount of printed pages even in those jobs that are not displayed in the standard Windows queue viewer.
  [*] The improved code conversion of a "Document name" for print jobs sent from Windows 9x/ME.
  [*] The improved change of priority for several print jobs.
  [*] The work with "removed" printers is fixed (some printers are not removed from the registry when you remove them from the Windows explorer).
  [*] The bug in Print Censor Free for "Add Printer" on a remote computer is fixed.

  Quotas:
  [+] Now you can activate quota automatically for new users.
  [+] Now you can pause print jobs for those users who exceed their quota.
  [+] Also you can select an option for print jobs exceeding the quota: don't print, print the exact number of pages, print all pages.
  [*] Improved performance.


Version 3.2 [1 February 2004]

  [+] Added compatability of the computer name determination for Windows NT.
  [*] Fixed determination of the computer name for print jobs.
  [*] Saving print jobs is improved.
  [*] Improved determination of the number of copies for some Microsoft Word print jobs.
  [*] Fixed bug with print queue refreshing.
  [*] Improved interface for "Quotas" and "Report" pages.
  [*] Fixed program icons.


Version 3.2 beta 2 [5 January 2004]

  [+] Improved "Deny Print" option of quotas: now you can select action - pause or delete print jobs.
  [*] Fixed bug with column sorting for cost.
  [*] Fixed bug with kernel32.dll for Windows XP and 2003.


Version 3.2 beta [22 December 2003]

  [+] Added quotas for Page Cost.
  [*] Fixed bug which created problem with queue viewing for some print jobs.
  [*] Fixed bug for Status Bar Show/Hide.
  [*] Fixed work with remote Report Path settings.
  [*] Fixed Default Quotas settings.


Version 3.12 [19 October 2003]

  [+] Improved report to display computer name instead of IP Address.
  [+] Added tool buttons for common tasks.
  [*] Fixed bug which made report range display incorrectly.
  [*] Improved queue manager mode.
  [*] Fixed bug which resulted in problems with column sorting.
  [*] Improved reports.
  [*] Changed report file format.
  [*] Fixed bug which created problems with installation on remote computers.
  [*] Improved work with quotas.


Version 3.1 [16 September 2003]

  [+] Now you can use Print Censor as the printer queue manager free-of-charge without any restrictions of time!
     (Menu "Options" -> "Queue Manager Only")
  [+] Now it is possible to set check of quotas for separate printers.
  [+] Now you can set quotas by default automatically for new users.
  [+] Now you can edit computers list for remote connecting (menu Options -> Preferences...).
  [+] Toolbar button "Suspend printer" is added.
  [+] Some keyboard shortcut for the menu is added.
  [+] Checkboxes on the "Printers" tab is added (Menu "View" -> "Printers Checkboxes")
  [+] Now you can simply choose a range of viewing of the report (Current Month, Current Week, Today and Manually).
  [+] Completely tested and compatible with Windows Server 2003.
  [*] Update of the Report is improved.
  [*] Improved work with a broken print jobs.
  [*] Loss of focus in the printers queue is fixed.
  [*] Some fixes and improvements.


Version 3.0 [20 June 2003]

  [+] Quotas added!
     Now you can set user quotas by printed pages value. Occurs denial of service when this quota is exceeded.
  [+] Feature "Set Printer as Virtual Printer" added!
     Using these feature you'll get your printout as collection of Enhanced Metafiles that you can view,
     store, modify, and print with other applications. Note: This option works only for not PCL drivers!
  [+] The print of reports is added!
  [+] From a preview window you can export the reports data in TXT, RTF, CSV and HTML files.
  [+] You can change reports location.
  [+] For opening standard queue for selected printer is enough double click on it.
  [+] Automatic updating the report is added.
  [+] Now you can change print job priority using Print Censor.
  [+] Now the Trial version of the Print Censor saves only 30 records.
  [*] Work with queue of the printer is accelerated.
  [*] Improved service perfomance.
  [*] Sorting columns for date is corrected.
  [*] Uninstallation is improved.
  [*] Some small fixes.


Version 2.2 [6 March 2003]

  [+] Context menu is added for printers in "Printers" tab.
  [*] Fixed error for Windows 9x print jobs.
  [*] Some optimization.
  [*] Multilingual support is fixed.
  [*] Minor bugs fixes.
  
  Many improvements for report:
  [+] New report types is added.
  [+] Showing on range of the time is added.
  [+] Multiselect is added.
  [+] "Select All" is added.
  [+] Sorting columns is added.
  
  [*] Report viewing is improved.
  [*] Deletion of the records more faster.


Version 2.1 [3 March 2003]

  [+] New tab "Queue" is added. Now you can view jobs queue for all printers.
  [+] "Suspend" and "Resume" of the jobs queue for selected printer now is available.
  [+] Now you can see Color and Duplex mode for print job.
  [+] Now all previous connected computers is saved in the drop down list of the "Connect" window.
  [+] Now you can enter registration for remote computers.
  
  [*] Improved connection to computers with expired license.
  [*] Improved report for Windows 9x/ME print jobs. Unfortunately for this jobs the number of pages unavailable.
  [*] Not visibility the caption of the queue and report for Windows NT is fixed.
  [*] Now are used system icons for printers.
  [*] Some small fixes.


Version 2.01 [9 February 2003]

  [*] Many improvements in service.
  [*] Some small bugs is fixed.
  
  Installer:
  [+] Now you can create shortcuts on Desktop and Quick Launch.
  [*] Changing location of the Start Menu shortcuts is fixed.
  [+] When uninstall Print Censor you can delete Logs directory.


Version 2.0 [19 January 2003]

  [+] Remote connection is added! Now You can control all network computers!
  [+] Server Properties possible change.
  [+] Refresh buttons added for printers, printer settings and report.
  [+] Context menu for Printers, Report, Queue is added.
  [+] Now you can delete records from report.
  [+] Now all settings of the Print Censor are saved.
  [+] 'Cancel All' command added (delete all print jobs in the printer queue).
  [+] Now you can manage all printers in your system (for network printers the history of the jobs inaccessible).
  [+] Default printer possible change.
  [+] Now you can see paper size for printer jobs.
  [+] Now you can hide/show columns for report and jobs queue.
  [+] Now you can show/hide Status Bar.
  [+] Now in window "About" you can see registration information and Hardware ID for remote computers.
  [+] Now service on remote computer is updated automatically when you try connect.
  [*] Now, when You click "Refresh printers" - selected printer does not lose selection.
  [*] Toolbar fixed(enabled) for Windows NT.
  [*] Save settings for menu is fixed.
  [*] Registration improved.
  [*] Work with service is fixed.
  [*] Language switching is optimized.
  [*] Connecting to remote computer is optimized. Now you can select computer or type manually.
  [*] Improved reading printers on remote computer.
  [*] Work with stated manually size of the paper is fixed (log format changed).
  [*] Removing records from report is fixed for some situations.
  [*] Help updated.
  [*] Many fixes and improvements.


Version 1.1 [02 October 2002]

  [+] Now you can manipulate your printers. You can:
      - Add printers;
      - Delete selected printers;
      - Change the properties of the selected printers.
  [+] Now you can manipulate print jobs for selected printer. You can:
      - Refresh queue;
      - Pause selected print job;
      - Resume selected print job;
      - Restart selected print job;
      - Cancel selected print job.
  [+] Added type of Report 'by Computer'.
  [+] For window "Printer queue" now appears number of the jobs in queue.
  [+] Multilingual interface added!
  [+] Print Censor fully compatible with Windows NT!
  [*] Improved support of the Windows XP themes.
  [*] Improved renovation of the print jobs in the queue.
  [*] Certain internal optimization.
  [*] Upgrade fixed.


Version 1.0 [18 September 2002]

  [*] Fixed bug of the change the sizes main window for "Printer queue".
  [*] If selected printer contain jobs before showing "Printer queue" that they are displayed.
  [*] Some are an internal corrections.


Version 1.0 beta [13 September 2002]

  First beta version is released!